Bug 1284249 - Snapshot Description maximum size should be restricted
Snapshot Description maximum size should be restricted
Status: CLOSED WORKSFORME
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0.2
Unspecified Unspecified
low Severity medium (vote)
: ovirt-3.6.2
: 3.6.2
Assigned To: Idan Shaby
Eyal Shenitzky
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-22 06:54 EST by Eyal Shenitzky
Modified: 2016-03-10 02:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 10:43:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tnisan: ovirt‑3.6.z?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
engine log (400.62 KB, application/x-bzip)
2015-11-22 06:54 EST, Eyal Shenitzky
no flags Details
Description Limit (19.27 KB, image/png)
2015-12-17 10:43 EST, Idan Shaby
no flags Details

  None (edit)
Description Eyal Shenitzky 2015-11-22 06:54:44 EST
Created attachment 1097524 [details]
engine log

Description of problem:

Snapshot description length isn't restricted.
When trying to enter a description longer then the allowed size an 
Error massage isn't received.
Verification of name size should be in the UI and not moved to the DB.  

Version-Release number of selected component (if applicable):
3.6.0.3-0.1.el6

How reproducible:
Always

Steps to Reproduce:
1. Create vm with disk.
2. create snapshot with Description longer then the max size allowed. 


Actual results:
Failed to create the snapshot.


Expected results:
Error massage should be receive - 
Error while executing action Create snapshot to VM: snapshot description is to long

And the length of the string should checked on the UI before moving the command to the DB.

Additional info:

Engine log attached
Comment 1 Idan Shaby 2015-12-17 10:43:11 EST
A red frame is shown around the description field as well as a tooltip saying that "Field content must not exceed 4000 characters".
Adding a screenshot, too.
Comment 2 Idan Shaby 2015-12-17 10:43 EST
Created attachment 1106760 [details]
Description Limit

Note You need to log in before you can comment on or make changes to this bug.